com.dlsc.flexgantt.model.treetable

## Class TreeTableModelEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.TreeModelEvent
    - - com.dlsc.flexgantt.model.treetable.TreeTableModelEvent

- All Implemented Interfaces:
    Serializable

      public class TreeTableModelEvent
      extends TreeModelEvent

  An event object used to notify the application if the user edited a tree table cell.
  Since:
    1.0
  Version:
    $Revision: 1.5 $
  Author:
    Dirk Lemmermann
  See Also:
    `ITreeTableModelListener`, `ITreeTableModel.addTreeTableModelListener(ITreeTableModelListener)`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.event.TreeModelEvent

      `childIndices, children, path`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeTableModelEvent(ITreeTableModel model, Object[] path, Object oldValue, Object newValue, int modelIndex)` Constructs a new model event.
    `TreeTableModelEvent(ITreeTableModel model, TreePath path, Object oldValue, Object newValue, int modelIndex)` Constructs a new model event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITreeTableModel` | `getModel()` Returns the tree table model from which the event originated.
    `int` | `getModelIndex()` Returns the model index of the tree table column where the value of a cell was edited.
    `Object` | `getNewValue()` Returns the new value for the edited tree table cell.
    `Object` | `getOldValue()` Returns the old value of the edited tree table cell.
    `String` | `toString()`

    - ### Methods inherited from class javax.swing.event.TreeModelEvent

      `getChildIndices, getChildren, getPath, getTreePath`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeTableModelEvent

          public TreeTableModelEvent(ITreeTableModel model,
                                     Object[] path,
                                     Object oldValue,
                                     Object newValue,
                                     int modelIndex)

      Constructs a new model event.
      Parameters:
        `model` - the tree table model where the change happened
        `path` - the object path to the tree node where the event occured
        `oldValue` - the previous value of the table cell
        `newValue` - the new value for the table cell
        `modelIndex` - the model index of the column where the changed happened
      Since:
        1.0

    - #### TreeTableModelEvent

          public TreeTableModelEvent(ITreeTableModel model,
                                     TreePath path,
                                     Object oldValue,
                                     Object newValue,
                                     int modelIndex)

      Constructs a new model event.
      Parameters:
        `model` - the tree table model where the change happened
        `path` - the object path to the tree node where the event occured
        `oldValue` - the previous value of the table cell
        `newValue` - the new value for the table cell
        `modelIndex` - the model index of the column where the changed happened
      Since:
        1.0

  - ### Method Detail

    - #### getModel

          public ITreeTableModel getModel()

      Returns the tree table model from which the event originated.
      Returns:
        the tree table model that was the source of the event
      Since:
        1.0

    - #### getNewValue

          public Object getNewValue()

      Returns the new value for the edited tree table cell.
      Returns:
        the new value of the edited cell
      Since:
        1.0

    - #### getOldValue

          public Object getOldValue()

      Returns the old value of the edited tree table cell.
      Returns:
        the old value of the edited cell
      Since:
        1.0

    - #### getModelIndex

          public int getModelIndex()

      Returns the model index of the tree table column where the value of a cell was edited.
      Returns:
        the column's model index
      Since:
        1.0

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `TreeModelEvent`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.